package com.yc.education.service;

import com.yc.education.model.Product;

import java.util.List;

public interface ProductService extends IService<Product> {

    List<Product> findProductByPid(Integer cid,Integer wid,String name,String minDate,String maxDate);

    //根据一级id删除商品
    void deleteByCid(Integer cid);

    //根据二级id删除商品
    void deleteByWid(Integer wid);

    //得到上一页的产品
    Product findProductById01(Integer id,Integer cid,Integer wid);

    //得到下一页的产品
    Product findProductById02(Integer id,Integer cid,Integer wid);
}
